<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gatt__err__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gatt_err_info_t</compoundname>
    <includes local="no">cy_ble_stack_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gatt__err__info__t_1ab717941cb01297d6ae9c87521fb36768" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_gatt_err_info_t::attrHandle</definition>
        <argsstring />
        <name>attrHandle</name>
        <briefdescription>
<para>Attribute Handle in which error is generated. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="480" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="480" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatt__err__info__t_1a9174ff868ae764005940c2b87d272d6e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1gae06f56cc034e0b31fd066f0a12e4324b">cy_en_ble_gatt_pdu_t</ref></type>
        <definition>cy_en_ble_gatt_pdu_t cy_stc_ble_gatt_err_info_t::opCode</definition>
        <argsstring />
        <name>opCode</name>
        <briefdescription>
<para>Opcode which has resulted in Error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="483" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="483" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatt__err__info__t_1a693201852fe78bed9c2b6ad334f7c3bb" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga840a7207c3fa1dd4e5d88f0bdfdceecb">cy_en_ble_gatt_err_code_t</ref></type>
        <definition>cy_en_ble_gatt_err_code_t cy_stc_ble_gatt_err_info_t::errorCode</definition>
        <argsstring />
        <name>errorCode</name>
        <briefdescription>
<para>Error Code describing cause of error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="486" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="486" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Error information. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="488" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="477" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="478" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gatt__err__info__t_1ab717941cb01297d6ae9c87521fb36768" virt="non-virtual"><scope>cy_stc_ble_gatt_err_info_t</scope><name>attrHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gatt__err__info__t_1a693201852fe78bed9c2b6ad334f7c3bb" virt="non-virtual"><scope>cy_stc_ble_gatt_err_info_t</scope><name>errorCode</name></member>
      <member prot="public" refid="structcy__stc__ble__gatt__err__info__t_1a9174ff868ae764005940c2b87d272d6e" virt="non-virtual"><scope>cy_stc_ble_gatt_err_info_t</scope><name>opCode</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>